﻿using Infragistics.Win.Misc;
using Infragistics.Win.UltraWinDock;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Diagnostics;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace FloatingPanelProblem
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            ultraDockManager1.PaneActivate += UltraDockManager1_PaneActivate;
            ultraDockManager1.PaneDeactivate += UltraDockManager1_PaneDeactivate;

            DockableGroupPane group = new DockableGroupPane();
            group.ChildPaneStyle = ChildPaneStyle.HorizontalSplit;
            group.Closed = true;

            DockAreaPane area = new DockAreaPane(DockedLocation.DockedLeft);
            area.Closed = true;
            area.Panes.Add(group);

            ultraDockManager1.DockAreas.Add(area);

            UltraPanel p1 = new UltraPanel();
            p1.Location = new Point(0, 0);
            p1.Dock = DockStyle.Fill;

            DockableControlPane dcp1 = new DockableControlPane("p1", "p1", p1);

            UltraPanel p2 = new UltraPanel();
            p2.Location = new Point(0, 0);
            p2.Dock = DockStyle.Fill;

            DockableControlPane dcp2 = new DockableControlPane("p2", "p2", p2);

            ultraDockManager1.DockAreas[0].Panes.Add(dcp1);
            ultraDockManager1.DockAreas[0].Panes.Add(dcp2);


            ultraDockManager1.DockAreas[0].Show();
            ultraDockManager1.ControlPanes[0].Show();
            ultraDockManager1.ControlPanes[1].Show();

            dcp2.Float();
            dcp1.Activate();

        }

        private void UltraDockManager1_PaneDeactivate(object sender, ControlPaneEventArgs e)
        {
            Debug.WriteLine(string.Format("PaneDeactivate: {0} -> {1}", e.Pane.Key, e.Pane.DockedState));
        }

        private void UltraDockManager1_PaneActivate(object sender, ControlPaneEventArgs e)
        {
            Debug.WriteLine(string.Format("PaneActivate: {0} -> {1}", e.Pane.Key, e.Pane.DockedState));
        }
    }
}
